## math-image-62.tar.gz

=== devel/Makefile ===
# Copyright 2010, 2011 Kevin Ryde

# This file is part of Math-Image.
#
# Math-Image is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Math-Image is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Math-Image.  If not, see <http://www.gnu.org/licenses/>.


CFLAGS = -Wall -g
LOADLIBES = -lmpfr -lgmp

misc: misc.c Makefile
	$(CC) $(CFLAGS) misc.c $(LOADLIBES) -o misc

gen-bits: gen-bits.c Makefile
	$(CC) $(CFLAGS) gen-bits.c $(LOADLIBES) -o gen-bits

=== debian/changelog ===
math-image (62-1) unstable; urgency=low

  * Packaged version.

 -- Kevin Ryde <user42@zip.com.au>  Mon, 04 Jul 2011 08:30:31 +1000

=== debian/control ===
# Copyright 2010, 2011 Kevin Ryde
#
# This file is part of Math-Image.
#
# Math-Image is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# Math-Image is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
# more details.
#
# You should have received a copy of the GNU General Public License along
# with Math-Image.  If not, see <http://www.gnu.org/licenses/>.

Source: math-image
Section: utils
Priority: optional
Build-Depends: cdbs, debhelper (>= 5)
Maintainer: Kevin Ryde <user42@zip.com.au>
Standards-Version: 3.9.2
Homepage: http://user42.tuxfamily.org/math-image/index.html
Bugs: mailto:user42@zip.com.au

Package: math-image
Architecture: all
Depends: libbit-vector-perl, libmath-basecnv-perl, libcompress-zlib-perl | perl (>= 5.10), libgeometry-affinetransform-perl, libglib-perl (>= 1:1.220), libglib-ex-objectbits-perl (>= 12), libglib-ex-connectproperties-perl (>= 14), libgtk2-perl (>= 1:1.220), libgtk2-ex-widgetbits-perl (>= 41), libgtk2-ex-widgetcursor-perl (>= 15), libgtk2-ex-dragger-perl (>= 2), libgtk2-ex-numaxis-perl (>= 2), libgtk2-ex-comboboxbits-perl (>= 31), libgtk2-ex-splash-perl (>= 1), libimage-base-perl (>= 1.14), libimage-base-gtk2-perl (>= 3), libimage-base-other-perl, libintl-perl (>= 1.19), liblist-moreutils-perl (>= 0.24), libmath-planepath-perl (>= 1), libmath-libm-perl, libmath-prime-xs-perl (>= 0.23), libmodule-util-perl, libnumber-format-perl, libscope-guard-perl, libsoftware-license-perl (>= 0.001), libterm-size-perl, libtext-capitalize-perl, perl (>= 5.8.0), ${perl:Depends}, ${misc:Depends}
Recommends: libmath-planepath-perl (>= 33), libgtk2-ex-xor-perl, libmath-aronson-perl (>= 4), libmath-symbolic-perl (>= 0.605) | libmath-expression-evaluator-perl, libimage-base-x11-protocol-perl, libx11-protocol-other-perl (>= 3), libimage-base-gd-perl (>= 4) | libimage-base-pngwriter-perl (>= 2), libimage-xpm-perl
Description: Display some mathematical images
 This program draws images like the Ulam spiral of prime numbers.  It
 can show them in a Gtk GUI or write PNG and other file formats.
